Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg12
Class XBLOMShadowTreeEvent

    java.lang.Object
      org.apache.batik.dom.events.AbstractEvent
          org.apache.batik.dom.svg12.XBLOMShadowTreeEvent

All Implemented Interfaces:
  Cloneable, OriginalEvent, ShadowTreeEvent, Event

    public class XBLOMShadowTreeEvent

extends AbstractEvent
implements ShadowTreeEvent

This class implements the `ShadowTreeEvent` event class.

Field Summary
`protected XBLShadowTreeElement` | `xblShadowTree` The shadow tree that is the object of this event.

Fields inherited from class org.apache.batik.dom.events.AbstractEvent
`bubbleLimit, cancelable, currentTarget, defaultActions, eventPhase, isBubbling, namespaceURI, originalEvent, preventDefault, stopImmediatePropagation, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`XBLOMShadowTreeEvent()`

Method Summary
`XBLShadowTreeElement` | `getXblShadowTree()` Returns the shadow tree that is the object of this event.
`void` | `initShadowTreeEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, XBLShadowTreeElement xblShadowTreeArg)` Initializes this event object.
`void` | `initShadowTreeEventNS(String namespaceURIArg, String typeArg, boolean canBubbleArg, boolean cancelableArg, XBLShadowTreeElement xblShadowTreeArg)` Initializes this event object with a namespaced event type.

Methods inherited from class org.apache.batik.dom.events.AbstractEvent
`addDefaultAction, clone, cloneEvent, getBubbleLimit, getBubbles, getCancelable, getCurrentTarget, getDefaultActions, getDefaultPrevented, getEventPhase, getNamespaceURI, getOriginalEvent, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, setBubbleLimit, stopImmediatePropagation, stopPropagation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Field Detail

### xblShadowTree

    protected XBLShadowTreeElement xblShadowTree

  The shadow tree that is the object of this event.

Constructor Detail

### XBLOMShadowTreeEvent

    public XBLOMShadowTreeEvent()

Method Detail

### getXblShadowTree

    public XBLShadowTreeElement getXblShadowTree()

  Returns the shadow tree that is the object of this event.

  Specified by:
    `getXblShadowTree` in interface `ShadowTreeEvent`

### initShadowTreeEvent

    public void initShadowTreeEvent(String typeArg,
                                    boolean canBubbleArg,
                                    boolean cancelableArg,
                                    XBLShadowTreeElement xblShadowTreeArg)

  Initializes this event object.

  Specified by:
    `initShadowTreeEvent` in interface `ShadowTreeEvent`

### initShadowTreeEventNS

    public void initShadowTreeEventNS(String namespaceURIArg,
                                      String typeArg,
                                      boolean canBubbleArg,
                                      boolean cancelableArg,
                                      XBLShadowTreeElement xblShadowTreeArg)

  Initializes this event object with a namespaced event type.

  Specified by:
    `initShadowTreeEventNS` in interface `ShadowTreeEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.